package jp.co.yahoo.hadoop.ml.aozora;

/**
 * A class containing the information about books in Aozora-Bunko.
 */
public class Aozora {
	private String title;
	private String author;
	private String normalizedBody;

	/**
	 * Constructor
	 * 
	 * @param title
	 *            the title of a book
	 * @param author
	 *            the author of a book
	 * @param normalizedBody
	 *            the normalized contents of a book
	 */
	public Aozora(String title, String author, String normalizedBody) {
		this.title = title;
		this.author = author;
		this.normalizedBody = normalizedBody;
	}

	/**
	 * Get the title of a book.
	 * 
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Get the author of a book.
	 * 
	 * @return the author
	 */
	public String getAuthor() {
		return author;
	}

	/**
	 * get the normalized contents of a book.
	 * 
	 * @return the body
	 */
	public String getNormalizedBody() {
		return normalizedBody;
	}
}